Subject: bug#32672: 27.0.50; image resize on window resizing

From: Juri Linkov <[email-masked]>
Date: Wed, 12 Sep 2018 02:53:40 +0300

> Like dynamically reformatting Man-mode buffers on window resizing in bug#32536
> it would be useful to do the same for image-mode.  By default, when an image
> is visited, it gets resized to fit into the window.  But on window shrinking,
> parts of the image become truncated, and on window enlarging too much of
> empty space is wasted since the image is not zoomed.

There is still a problem how to catch a moment when an image-mode buffer
is displayed after switching to it.  For example, when the selected window
is resized while it displayed a non-image-mode buffer, then after that
the current buffer switched to the image-mode buffer.  I can't find a hook
that could be activated to resize the image to fit the new sizes of the window.